@import '~breakpoint-sass/stylesheets/breakpoint';
@import '../../styles/breakpoints';
@import '../../styles/colors';

.import {
  &__form-wrapper {
    display: block;
    margin-bottom: 40px;
  }

  &__toggle-preview {
    margin-left: 20px;

    @include breakpoint($small) {
      display: block;
      margin: 20px 0;
    }
  }

  &__do-import-check {
    display: none;
  }

  &__input {
    user-select: none;
  }

  &__input-actual {
    position: fixed;
    top: -9999px;
  }

  &__table-container {
    position: relative;
    max-height: 250px;
    border-top: 1px solid $color-botticelli;
    border-bottom: 1px solid $color-botticelli;
    overflow: auto;
  }

  &__table-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba($color-white, 0.67);
    z-index: 2;
  }

  &__table {
    width: 100%;
    border-collapse: collapse;
  }

  &__table-row:hover .import__table-cell {
    background-color: #f3fcf8;
    cursor: pointer;
  }

  &__table-row--disabled {
    background-color: #F7F7F7;
    color: #999999;

    &:hover .import__table-cell {
      background-color: #F7F7F7;
    }
  }

  &__table-cell {
    padding: 13px 10px 10px;
    text-align: left;
    border-bottom: 1px solid $color-botticelli;
    overflow: hidden;
    white-space: nowrap;

    &--max-width-medium {
      // If you change this value, update the maxWidth property in 
      // checkIfTooltipIsNecessary function in importer component
      max-width: 250px;
    }

    &--max-width-large {
      // If you change this value, update the maxWidth property in 
      // checkIfTooltipIsNecessary function in importer component
      max-width: 500px;
    }

    &--import {
      padding: 4px 1px 0 7px;
      text-align: center;
      cursor: pointer;
    }
  }

  &__checkbox {
    top: 8px;
  }

  &__actions {
    position: relative;
  }

  &__tooltip {
    word-break: break-all;
  }
}

tr:last-child {
  .import__table-cell {
    border-bottom: 0;
  }
}
